## python-agate-excel 0.4.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/agateexcel.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/agateexcel.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/agateexcel"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/agateexcel"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-agate-excel 0.2.1

=== debian/changelog ===
python-agate-excel (0.2.1-3) unstable; urgency=medium

  * Bump standards version to 4.0.0, no changes required
  * Build the docs using the upstream Makefile
  * Mark doc package multiarch foreign
  * Release to unstable

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 25 Jul 2017 20:36:08 +0100

python-agate-excel (0.2.1-2) experimental; urgency=medium

  * Fixup Maintainers, Vcs-Browser and Vcs-Git fields

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 23 Mar 2017 10:30:34 +0000

python-agate-excel (0.2.1-1) experimental; urgency=low

  * Initial release. (Closes: #850449)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 22 Mar 2017 11:05:20 +0000

=== debian/control ===
Source: python-agate-excel
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               dpkg-dev (>= 1.17.14),
               python-agate-doc <!nodoc>,
               python3-agate <!nocheck> <!nodoc>,
               python3-all,
               python3-doc <!nodoc>,
               python3-openpyxl <!nocheck> <!nodoc>,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-xlrd <!nocheck> <!nodoc>,
               sphinx-common
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-agate-excel.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-agate-excel.git
Homepage: http://agate-excel.rtfd.org/
X-Python3-Version: >= 3.3

Package: python3-agateexcel
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-agateexcel-doc <!nodoc>
Description: support for Excel files in agate
 Agate-excel adds read support for Excel files (xls and xlsx) to agate. It uses
 a monkey patching pattern to add read methods for xls and xlsx files to all
 agate.Table instances after import of the corresponding agateexcel module.
 .
 This package provides the modules for Python 3.

Package: python-agateexcel-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: documentation for agate-excel
 Agate-excel adds read support for Excel files (xls and xlsx) to agate. It uses
 a monkey patching pattern to add read methods for xls and xlsx files to all
 agate.Table instances after import of the corresponding agateexcel module.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

## python-agate-excel 0.2.3

=== debian/changelog ===
python-agate-excel (0.2.3-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python3-Version field
  * Use debhelper-compat instead of debian/compat.

  [ Andrius Merkys ]
  * New upstream version 0.2.3
  * Refreshing patches.
  * Bumping debhelper compat level (no changes).
  * Bumping Standards-Version to 4.4.1 (no changes).
  * Removing 'sign-tags' directive from debian/gbp.conf.

 -- Andrius Merkys <merkys@debian.org>  Wed, 27 Nov 2019 04:47:26 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                dpkg-dev (>= 1.17.14),
                python-agate-doc <!nodoc>,
@@ -16,11 +16,10 @@
                python3-sphinx-rtd-theme <!nodoc>,
                python3-xlrd <!nocheck> <!nodoc>,
                sphinx-common
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-agate-excel.git
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-agate-excel.git
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-agate-excel
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-agate-excel.git
 Homepage: http://agate-excel.rtfd.org/
-X-Python3-Version: >= 3.3
 
 Package: python3-agateexcel
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1

export PYBUILD_NAME = agateexcel
ifneq (,$(findstring nocheck,$(DEB_BUILD_PROFILES)))
export PYBUILD_DISABLE = test
else
export PYBUILD_BEFORE_TEST = cp -r {dir}/examples {build_dir}
export PYBUILD_AFTER_TEST = rm -rf {build_dir}/examples
endif

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	$(MAKE) -C docs clean
endif

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html
endif

=== debian/tests/control ===
Test-Command: set -e
 ; cp -r examples tests "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest -v
 ; done
Depends: python3-agateexcel,
         python3-all,
         python3-pytest

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/agate-excel-$1\.tar\.gz/ \
https://github.com/wireservice/agate-excel/tags .*/v?(\d\S+)\.tar\.gz

## python-agate-excel 0.2.5

=== debian/changelog ===
python-agate-excel (0.2.5-2) unstable; urgency=medium

  * Team upload.
  * Add version constraint on python3-openpyxl.

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Wed, 01 Dec 2021 08:49:13 +0000

python-agate-excel (0.2.5-1) unstable; urgency=medium

  * Team upload.
  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Håvard Flaget Aasen ]
  * New upstream version 0.2.5
    New version is compatible with openpyxl version 3.0.9 Closes: #1000552
  * Rebase patches, mark patches forwarded: not-needed.
  * Update Standards-Version to 4.6.0.
  * Update homepage.
  * Add python3-olefile, drop sphinx-common and dpkg-dev as
    build dependencies.
  * Add rules-requires-root.
  * Drop 'built-using' field.
  * d/watch: Bump version to 4.
  * d/source/local-options -> options. To build twice in a row.
  * autopkgtest: Get Python version with 's' flag.

  [ Jeroen Ploemen ]
  * Control: remove the build profile restriction from the suggested
    dependency of the binary pkg on the -doc pkg.
  * Control: add missing spaces in description.
  * Rules: merge dh_auto_build overrides.

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Tue, 30 Nov 2021 15:08:09 +0000

=== debian/control ===
Source: python-agate-excel
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python-agate-doc <!nodoc>,
               python3-agate <!nocheck> <!nodoc>,
               python3-all,
               python3-doc <!nodoc>,
               python3-openpyxl (>= 3.0.7) <!nocheck> <!nodoc>,
               python3-olefile,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-xlrd <!nocheck> <!nodoc>,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-agate-excel
Vcs-Git: https://salsa.debian.org/python-team/packages/python-agate-excel.git
Homepage: https://agate-excel.readthedocs.io/

Package: python3-agateexcel
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-agateexcel-doc
Description: support for Excel files in agate
 Agate-excel adds read support for Excel files (xls and xlsx) to agate. It uses
 a monkey patching pattern to add read methods for xls and xlsx files to all
 agate. Table instances after import of the corresponding agateexcel module.
 .
 This package provides the modules for Python 3.

Package: python-agateexcel-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: documentation for agate-excel
 Agate-excel adds read support for Excel files (xls and xlsx) to agate. It uses
 a monkey patching pattern to add read methods for xls and xlsx files to all
 agate. Table instances after import of the corresponding agateexcel module.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

=== debian/rules ===
--- 
+++ 
@@ -20,9 +20,9 @@
 	$(MAKE) -C docs clean
 endif
 
-override_dh_auto_build: export http_proxy=127.0.0.1:9
-override_dh_auto_build: export https_proxy=127.0.0.1:9
 override_dh_auto_build:
+	export http_proxy=127.0.0.1:9
+	export https_proxy=127.0.0.1:9
 	dh_auto_build
 ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
 	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html

## python-agate-excel 0.4.1

=== debian/changelog ===
python-agate-excel (0.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.4.1
  * build the documentations with 'furo'
  * use new dh-sequence-python3
  * refresh patches

 -- Alexandre Detiste <tchet@debian.org>  Wed, 31 Jan 2024 13:28:50 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python-agate-doc <!nodoc>,
                python3-agate <!nocheck> <!nodoc>,
                python3-all,
@@ -15,6 +15,7 @@
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                python3-xlrd <!nocheck> <!nodoc>,
+               furo <!nodoc>,
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-agate-excel

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 endif
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Test-Command: set -e
  ; cp -r examples tests "$AUTOPKGTEST_TMP"
- ; for py in $(py3versions -r 2>/dev/null)
+ ; for py in $(py3versions -s)
  ; do cd "$AUTOPKGTEST_TMP"
  ; echo "Testing with $py:"
  ; $py -m pytest -v

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/agate-excel-$1\.tar\.gz/ \
https://github.com/wireservice/agate-excel/tags .*/v?(\d\S+)\.tar\.gz
